package com.guildasoft.bluechatroom2.entity;

import android.bluetooth.BluetoothDevice;

import com.guildasoft.bluechatroom2.adapter.BluetoothChatService;

import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class Device {
    BluetoothDevice bluetoothDevice;
    String nickName;
    BluetoothChatService chatService;

    public Device(BluetoothDevice bluetoothDevice, String nickName, BluetoothChatService chatService){
        this.bluetoothDevice = bluetoothDevice;
        this.nickName = nickName;
        this.chatService = chatService;
    }
}
