package com.guildasoft.bluechatroom2.utils;

import com.guildasoft.bluechatroom2.entity.AppMessage;
import com.guildasoft.bluechatroom2.utils.MessageUtilsImpl.MessageTypes;
public interface MessageUtils {

    String getTextFromMessage(String message);

    String getUuidFromMessage(String message);

    String getUserFromMessage(String message);

    MessageTypes getTypeFromMessage(String message);

    Boolean messageContainsOkIdentifier(String message);

    String mountCompleteMessage(MessageTypes type, String uuid, String name, String text);

    String mountCompleteMessage(MessageTypes type, String uuid, String name);

    AppMessage convertMessageBytesToObject(byte[] bytes, int size);

    String convertAppMessageToString(AppMessage mensage);

    String mountMessageUsingAppMessage(AppMessage appMessage);
}
